@echo off

set SPACEINDEE_VER=4.0.0.0
set SPACEINDEE_BUILD=201503221800ea
set NEUVIEWER_APPLICATION_FOLDER=%ProgramFiles%\NeuViewer
set SPACEINDEE_REPORT_FOLDER=%AppData%\NeuViewer\SpaceIndee
set SPACEINDEE_REPORT_FOLDER_BACKSLASH=%AppData%\NeuViewer\SpaceIndee\
set SPACEINDEE_REPORT_FILE="%SPACEINDEE_REPORT_FOLDER_BACKSLASH%space_indicator_report.txt"

cd /D "%NEUVIEWER_APPLICATION_FOLDER%"

if not exist "%SPACEINDEE_REPORT_FOLDER%" md "%SPACEINDEE_REPORT_FOLDER%"

rem The below variable is configurable.  Please use only a capital Y or N to indicate Yes or No.
set DISKETTE_DRIVE_REPORTING=N

echo.
echo SpaceIndee
echo.
echo Version: %SPACEINDEE_VER%
echo Build: %SPACEINDEE_BUILD%
echo.
echo Developed by KissEyes.com

echo.
echo.
echo Retrieving Free Space Info ...
echo.

echo. > %SPACEINDEE_REPORT_FILE%
echo SpaceIndee >> %SPACEINDEE_REPORT_FILE%
echo. >> %SPACEINDEE_REPORT_FILE%
echo Version: %SPACEINDEE_VER% >> %SPACEINDEE_REPORT_FILE%
echo Build: %SPACEINDEE_BUILD% >> %SPACEINDEE_REPORT_FILE%
echo. >> %SPACEINDEE_REPORT_FILE%
echo Developed by KissEyes.com >> %SPACEINDEE_REPORT_FILE%

echo. >> %SPACEINDEE_REPORT_FILE%
echo. >> %SPACEINDEE_REPORT_FILE%
echo Retrieving Free Space Info ... >> %SPACEINDEE_REPORT_FILE%
echo. >> %SPACEINDEE_REPORT_FILE%

echo. >> %SPACEINDEE_REPORT_FILE%
echo SpaceIndee Space Indicator Report >> %SPACEINDEE_REPORT_FILE%
echo --------------------------------- >> %SPACEINDEE_REPORT_FILE%
echo. >> %SPACEINDEE_REPORT_FILE%
echo Date >> %SPACEINDEE_REPORT_FILE%
echo ---- >> %SPACEINDEE_REPORT_FILE%
date /t >> %SPACEINDEE_REPORT_FILE%
echo. >> %SPACEINDEE_REPORT_FILE%
echo Time >> %SPACEINDEE_REPORT_FILE%
echo ---- >> %SPACEINDEE_REPORT_FILE%
time /t >> %SPACEINDEE_REPORT_FILE%
echo. >> %SPACEINDEE_REPORT_FILE%

start /B "SpaceIndee: Space Indicator Log" "%NEUVIEWER_APPLICATION_FOLDER%\bearlita.exe" %SPACEINDEE_REPORT_FILE%

echo.
echo If this program is configured
echo to check for diskette drive letters,
echo then Please answer popup question regarding
echo Reporting of Diskette Drive Letters ...
echo.

rem echo. >> %SPACEINDEE_REPORT_FILE%
rem echo If this program is configured >> %SPACEINDEE_REPORT_FILE%
rem echo to check for diskette drive letters, >> %SPACEINDEE_REPORT_FILE%
rem echo then Please answer popup question regarding >> %SPACEINDEE_REPORT_FILE%
rem echo Reporting of Diskette Drive Letters ... >> %SPACEINDEE_REPORT_FILE%
rem echo. >> %SPACEINDEE_REPORT_FILE%

if "%DISKETTE_DRIVE_REPORTING%"=="Y" goto diskette_report_configured

echo.
echo The Program is currently not configured
echo to check diskette drive letters.
echo Skipping ...
goto skip_diskettes
echo.

echo. >> %SPACEINDEE_REPORT_FILE%
echo The Program is currently not configured >> %SPACEINDEE_REPORT_FILE%
echo to check diskette drive letters. >> %SPACEINDEE_REPORT_FILE%
echo Skipping ... >> %SPACEINDEE_REPORT_FILE%
goto skip_diskettes >> %SPACEINDEE_REPORT_FILE%
echo. >> %SPACEINDEE_REPORT_FILE%

:diskette_report_configured

"%NEUVIEWER_APPLICATION_FOLDER%\messagebox.exe" /yesno /title SpaceIndee: Also Report Free Space on Diskette Drive Letters /message Would You also like to report free space of your Diskette drives ?  /crlf /crlf Click Yes to report Diskette drives /crlf and manually handle errors if any arise. /crlf /crlf Click No to Skip Diskette Reporting ( Recommended ) /crlf /crlf Typically Drives A: and B: are designated as Diskette Drive Letters /crlf which may not report anything /crlf in which case you could receive an error popup. /crlf /crlf You may still check the Diskette drives, /crlf and If you do receive an error /crlf simply click Continue on drive error /crlf and the program will continue.

if "%ERRORLEVEL%"=="7" goto skip_diskettes

echo.
echo Note: Access is Denied messages may occur
echo       because Some drive letters may not be accessible.
echo       This error should not affect the results of the drives
echo       that are displayed on the report.
echo.

for %%i IN ( a b c d e f g h i j k l m n o p q r s t u v w x y z ) DO if exist "%%i:\" echo "%SPACEINDEE_REPORT_FOLDER_BACKSLASH%________space_%%i" > "%SPACEINDEE_REPORT_FOLDER_BACKSLASH%________space_%%i"
for %%i IN ( a b c d e f g h i j k l m n o p q r s t u v w x y z ) DO if exist "%SPACEINDEE_REPORT_FOLDER_BACKSLASH%________space_%%i" dir "%%i:\" > "%SPACEINDEE_REPORT_FOLDER_BACKSLASH%drive_space_free_%%i.txt"
for %%i IN ( a b c d e f g h i j k l m n o p q r s t u v w x y z ) DO if exist "%SPACEINDEE_REPORT_FOLDER_BACKSLASH%drive_space_free_%%i.txt" echo "Drive %%i: Bytes Free ..." >> %SPACEINDEE_REPORT_FILE%
for %%i IN ( a b c d e f g h i j k l m n o p q r s t u v w x y z ) DO if exist "%SPACEINDEE_REPORT_FOLDER_BACKSLASH%drive_space_free_%%i.txt" find /I "bytes free" "%SPACEINDEE_REPORT_FOLDER_BACKSLASH%drive_space_free_%%i.txt" >> %SPACEINDEE_REPORT_FILE%

goto finish

:skip_diskettes

echo.
echo Skipping Diskette drive reporting ...
echo.

echo. >> %SPACEINDEE_REPORT_FILE%
echo Skipping Diskette drive reporting ... >> %SPACEINDEE_REPORT_FILE%
echo. >> %SPACEINDEE_REPORT_FILE%

echo.
echo Note: Access is Denied messages may occur
echo       because Some drive letters may not be accessible.
echo       This error should not affect the results of the drives
echo       that are displayed on the report.
echo.

for %%i IN ( c d e f g h i j k l m n o p q r s t u v w x y z ) DO if exist "%%i:\" echo "%SPACEINDEE_REPORT_FOLDER_BACKSLASH%________space_%%i" > "%SPACEINDEE_REPORT_FOLDER_BACKSLASH%________space_%%i"
for %%i IN ( c d e f g h i j k l m n o p q r s t u v w x y z ) DO if exist "%SPACEINDEE_REPORT_FOLDER_BACKSLASH%________space_%%i" dir "%%i:\" > "%SPACEINDEE_REPORT_FOLDER_BACKSLASH%drive_space_free_%%i.txt"
for %%i IN ( c d e f g h i j k l m n o p q r s t u v w x y z ) DO if exist "%SPACEINDEE_REPORT_FOLDER_BACKSLASH%drive_space_free_%%i.txt" echo "Drive %%i: Bytes Free ..." >> %SPACEINDEE_REPORT_FILE%
for %%i IN ( c d e f g h i j k l m n o p q r s t u v w x y z ) DO if exist "%SPACEINDEE_REPORT_FOLDER_BACKSLASH%drive_space_free_%%i.txt" find /I "bytes free" "%SPACEINDEE_REPORT_FOLDER_BACKSLASH%drive_space_free_%%i.txt" >> %SPACEINDEE_REPORT_FILE%

:finish

echo. >> %SPACEINDEE_REPORT_FILE%
echo Done >> %SPACEINDEE_REPORT_FILE%
